#include <bits/stdc++.h>
using namespace std;

int main(){
	// Introduction to vectors
	
	// Create & Initialization of vector	
	vector <int> a;
	vector <int> b(5,10); // this defined that there are 5 elements with each of having of 10.
	vector <int> c(b.begin(),b.end());
	//vector <int> d{1,2,3,10};
	

	// Iteration over the vector
	for(int i = 0; i < b.size(); i++){
		cout<<b[i]<<endl;
	}
	
	cout<<"Another way to iterate over the vector"<<endl;
	for(vector <int> :: iterator it = c.begin(); it !=c.end(); it++){
		cout<<*(it)<<endl;
	}
	
	cout<<"another way to iterate";
	for(int ee:b){
		cout<<ee;
	}
	
	return 0;
}
